# yaml-language-server: $schema=https://raw.githubusercontent.com/jskherman/cv.typ/main/cv.typ.schema.json

personal:
  name: Aleksandar Tomašević
  email: atomashevic@gmail.com
  phone: (+381) 69 1196392
  url: https://atomasevic.com
  titles:
    - Data Scientist
    - Applied AI Researcher
  location:
    city: Novi Sad
    postalCode: 21000
    region: ""
    country: Serbia
  profiles:
    - network: GitHub
      username: atomashevic
      url: https://github.com/atomashevic
    - network: LinkedIn
      username: atomasevic
      url: https://www.linkedin.com/in/atomasevic/
    - network: X
      username: atomasevic
      url: https://twitter.com/atomasevic

work:
  - organization: Institute of Physics Belgrade
    url: https://www.ipb.ac.rs/
    location: Belgrade / Serbia
    positions:
      - position: Senior Research Associate, Scientific Computing Laboratory
        startDate: 2025-07-01
        endDate: "present"
        highlights:
          - Built computational workflows for large-scale data analysis, simulation, and model evaluation in Python and R.
          - Developed and validated machine learning, NLP, and network-analysis pipelines for behavioral and online-community data.
          - Worked on AI-system evaluation problems involving trust, toxicity, conversation quality, agent behavior, and online-community dynamics.
          - Contributed to technically complex platforms using PostgreSQL, Dockerized services, Linux, and reproducible experiment workflows.
  - organization: University of Novi Sad
    url: https://www.uns.ac.rs/
    location: Novi Sad / Serbia
    positions:
      - position: Assistant Professor / Research Associate
        startDate: 2016-02-01
        endDate: "present"
        highlights:
          - Led data-intensive projects using Python and R to analyze large behavioral, textual, and network datasets.
          - Designed machine learning and NLP workflows for online-community research, including text classification, sentiment analysis, toxicity-related analysis, and simulation support.
          - Built automation scripts and reproducible pipelines for data cleaning, modeling, visualization, reporting, and experimental analysis.
          - Collaborated with physicists, psychologists, and sociologists on technically demanding computational research.
  - organization: University of Virginia, School of Data Science
    url: https://www.virginia.edu/
    location: Charlottesville, VA / USA
    positions:
      - position: Fulbright Visiting Researcher
        startDate: 2023-10-15
        endDate: 2024-01-31
        highlights:
          - Developed `transforEmotion`, an R package with Python backend for multimodal emotion recognition across text, image, and video data.
          - Built reproducible machine learning workflows connecting transformer-based models, statistical analysis, and large-scale media data processing.
  - organization: Eipix Entertainment
    url: https://www.eipix.com/
    location: Novi Sad, Serbia
    positions:
      - position: Medior Game Designer
        startDate: 2014-05-01
        endDate: 2016-02-01
        highlights:
          - Worked with cross-functional production teams on game systems, content design, and delivery across 10+ shipped titles.
          # - Gained familiarity with game development pipelines and cross-functional team collaboration (Art, Programming, QA).
  # - organization: First Beat Media
  #   url: https://firstbeatmedia.com/
  #   location: Novi Sad, Serbia / Remote
  #   positions:
  #     - position: Project Manager
  #       startDate: 2014-03-01
  #       endDate: 2014-05-31
  #       highlights:
  #         - Leading a team of web developers and marketing specialists on developing and maintaining a network of entertainment websites.
  #         - Managing a team of 5 people.
  #         - "Data analytics: Traffic acquisition and conversion rate optimization."

education:
  - institution: University of Novi Sad
    url: https://www.uns.ac.rs/
    area: Quantitative Methods
    studyType: PhD
    startDate: 2012-10-01
    endDate: 2019-03-08
    location: Novi Sad, Serbia
    honors:
    courses:
    highlights:
      - Research and training centered on statistics, computational methods, network analysis, and large-scale behavioral data in social sciences.
  - institution: University of Novi Sad
    url: https://www.uns.ac.rs/
    area: Social Sciences
    studyType: Master
    startDate: 2011-10-01
    endDate: 2012-10-01
    location: Novi Sad, Serbia
    honors:
    courses:
    highlights:
  - institution: University of Novi Sad
    url: https://www.uns.ac.rs/
    area: Social Sciences
    studyType: Bachelor
    startDate: 2007-10-01
    endDate: 2011-06-30
    location: Novi Sad, Serbia
    honors:
    courses:
    highlights:

# certificates:
#   - name: GDPR and Human Research Protection Program (HRPP) Research Certificate
#     id: "12861105"
#     date: 2023-12-02
#     issuer: CITI Program, USA

affiliations:
#   - organization: White Hat Hackers Association
#     position: Vice President for Internal Affairs
#     location: Cambridge, United Kingdom
#     url: https://example.com
#     startDate: 2020-05-30
#     endDate: 2021-05-30
#     highlights:
#       - But I must explain to you how all this mistaken idea of reprobating pleasure and extolling pain arose.
#       - But who has any right to find fault with a man who chooses to enjoy a pleasure that has no annoying consequences, or one who avoids a pain that produces no resultant pleasure?
#       - Can you then suppose that those heroic men performed their famous deeds without any motive at all?
#   - organization: London Bridge Toastmasters Club
#     position: Member
#     location: City of London, United Kingdom
#     url:
#     startDate: 2022-06-15
#     endDate: 2023-06-30
#     highlights:
#       - Won Champion in the Division A District X Speech Evaluation Contest of Toastmasters International
#       - Promising Toastmaster of the Year (PY 2022-2023)
#       - Tell me, pray, what explanation do you put upon their actions?

#awards:
 # - title: Best Young Researcher Award
  #  date: 2022-12-01
   # issuer: University of Novi Sad
    #url: https://www.ff.uns.ac.rs/en/news/2022/12/celebrating-the-68th-anniversary-of-the-faculty
    #location: Novi Sad, Serbia
    #highlights:
     # - Awarded for outstanding research impact at the University of Novi Sad.
# publications:
#   - name: "Multi-Platform Aggregated Dataset of Online Communities (MADOC)"
#     publisher: arXiv
#     releaseDate: 2025-01-22
#     url: https://arxiv.org/abs/2501.12886
#   - name: "Decoding Emotion Dynamics in Videos using Dynamic Exploratory Graph Analysis and Zero-Shot Image Classification: A Simulation and Tutorial using the transforEmotion R package"
#     publisher: PsyArXiv
#     releaseDate: 2024-01-31
#     url: https://osf.io/preprints/psyarxiv/hf3g7_v1
#   - name: "Sustainability of Stack Exchange Q&A communities: the Role of Trust"
#     publisher: EPJ Data Science
#     releaseDate: 2023-02-24
#     url: https://epjds.epj.org/articles/epjdata/abs/2023/01/13688_2023_Article_381/13688_2023_Article_381.html

projects:
  - name: "YSocial Multi-Agent Social Platform Simulation"
    affiliation: "Institute of Physics Belgrade / Research collaboration"
    startDate: 2025-09-01
    endDate: "present"
    highlights:
      - Built and evaluated components of an LLM-powered social media twin spanning microblogging and forum-style simulations for trust, toxicity, and conversation-quality research.
      - Worked on agent memory, retrieval, and behavioral parameterization to improve reply selection, interaction pacing, and coherence in multi-agent threads.
      - Contributed to a Python/Flask/SQLAlchemy stack with SQLite and PostgreSQL backends, covering experiment metadata, agent populations, recommendations, posts, reactions, and agent-opinion tracking.
      - Used Dockerized PostgreSQL services and OpenAI-compatible backends including Ollama and vLLM to support simulation runs, annotation workflows, and system evaluation.
      - Investigated concrete failure modes such as repetitive outputs, thread-structure breaks, and parent-child mismatches, then used real community data to guide validation and calibration.
  - name: "MADOC Dataset and Tools"
    url: https://zenodo.org/records/14637314
    affiliation: "Institute of Physics Belgrade"
    startDate: 2025-01-01
    endDate: "present"
    highlights:
      - Built a research dataset and tooling stack for large-scale online-community analysis, with emphasis on reproducible ingestion, cleaning, and downstream modeling workflows.
      - Implemented NLP pipelines for text classification, toxicity detection, and sentiment analysis over cross-platform community text.
      - Developed `pyMADOC`, a Python package for dataset access and text processing using pandas, NumPy, and scikit-learn.

  - name: "transforEmotion R package"
    url: https://github.com/atomashevic/transforEmotion
    affiliation: "Personal collaboration"
    startDate: 2023-10-01
    endDate: "present"
    highlights:
      - Built an R package with a Python backend for multimodal emotion recognition across text, image, and video, with more than 9k CRAN installs.
      - Integrated transformer-based models into reproducible data-processing workflows for large-scale media analysis.
      - Maintained the package as production-quality open-source software with GitHub Actions CI/CD and cross-language tooling.
#  - name: "Trust and Toxicity Analysis in Online Communities"
 #   affiliation: "Institute of Physics Belgrade / University of Novi Sad"
  #  startDate: 2022-01-01
   # endDate: "present"
    #highlights:
     # - Analyzed interaction networks and behavioral data to study trust, sustainability, and harmful behavior in online communities.
      #- Applied graph-based methods to quantify clustering and propagation of toxicity-related signals in weighted social networks.
      #- Produced interpretable analytical outputs relevant to platform health, moderation, and community dynamics.
  - name: "COVID-19 Data Analysis and Visualization Platform"
    url: "https://scienceversuscorona.shinyapps.io/covid-overview/"
    affiliation: Data Versus Corona initiative
    startDate: 2020-04-01
    endDate: 2020-06-30
    highlights:
      - Engineered R data pipelines to clean, analyze, and visualize epidemiological data from multiple sources.
      - Built a real-time data fetching and processing API for automated updates and reproducible reporting.
      - Created interactive visualizations for communicating complex health data clearly to broad audiences.
skills:
  - category: Data Science & Machine Learning
    skills:
      - "Python: pandas, NumPy, scikit-learn, transformers, PyTorch, Flask, SQLAlchemy"
      - "Machine Learning: feature engineering, fine-tuning, benchmarking, evaluation"
      - "NLP: text classification, sentiment analysis, embeddings, topic extraction, toxicity detection"
      - "Data Visualization: Plotly, matplotlib"
      - "R: statistical analysis, package development"
      - "SQL: PostgreSQL, SQLite, MySQL"
  - category: Cloud & Tools
    skills:
      - "Linux and CLI-first workflows"
      - "Scientific Computing: HPC environments, remote compute, reproducible pipelines"
      - "Ops: Docker, GitHub Actions CI/CD"
      - "LLM Systems: Ollama, vLLM, OpenAI-compatible APIs"
      - "Version Control: Git and GitHub workflows"
      - "Development Environments: JupyterLab, VSCode, Neovim"
  - category: Research & Communication
    skills:
      - Experimental design and validation
      - Communication in interdisciplinary technical teams
      - Technical writing and documentation
      - Problem-solving and analytical thinking
  # - category: Document publishing
  #   skills:
  #     - LaTeX
  #     - R Markdown
  #     - Quarto
  #     - HTML
  # - category: BI & Data Analytics
  #   skills:
  #     - Tableau
  #     - Plotly

languages:
  - language: English
    fluency: C1
  - language: French
    fluency: B1
  - language: Serbian
    fluency: Native

interests:
  - Linux geek
  - "Football statistics and analytics: xG analysis, passing networks, player tracking data"
  - "Video games: console (PS4, Switch), retro gaming"
  - "Board games: Everdell, The Isle of Cats, Cartographers"

references:
